<!DOCTYPE html>
<html>

<head>
  <meta charset="utf-8" />
  <title>sinkrate 2.0 - MSFS 2020 - InGame-Info-Toolbar</title>
  <link rel="stylesheet" href="formate.css">
  <script src="functions-js.php" type="text/javascript"></script>
</head>

<?php
  require_once ('functions.php');
?>

<!-- CSS-Layout of the javascript-free tab-bars based on <a href="https://cdpn.io/fusco/fullembedgrid/Wvzjrm?animations=run&type=embed">Joseph Fusco</a>. -->

<body onLoad="onLoadBody();">

  <div class="container">

    <?php echo '<h1>' . $sMyAircraftName . '</h1>'; ?>

    <div class="tab-wrap">

      <!-- active tab on page load gets checked attribute -->
      <input type="radio" id="tab1" name="tabGroup1" class="tab" checked>
      <label for="tab1">Commons</label>

      <input type="radio" id="tab2" name="tabGroup1" class="tab">
      <label for="tab2">Departure</label>

      <input type="radio" id="tab3" name="tabGroup1" class="tab">
      <label for="tab3">Cruise</label>

      <input type="radio" id="tab4" name="tabGroup1" class="tab">
      <label for="tab4">Approach</label>

      <input type="radio" id="tab5" name="tabGroup1" class="tab" onChange="onChangeTabCalculation();">
      <label for="tab5">Calculations</label>

      <input type="radio" id="tab6" name="tabGroup1" class="tab">
      <label for="tab6">?</label>

      <div class="tabContent">
        <!-- Commons -->
        <p><?php echo $arrCurrentAircraft['common-infos']; ?></p>
        <hr />
        <h2 id="connotations">Annotations</h2>
        <div id="common-specials" style="display:block;"><?php echo checkArrayKey ('common-specials', $arrCurrentAircraft); ?></div>
        <p>Gewicht bei ca. 50 % fuel &amp; load: <b><?php echo checkArrayKey ('common-50-percent-fuel-and-load', $arrCurrentAircraft); ?></b></p>
<?php
  echo getAdditionalConnotations ($arrCurrentAircraft);

  $s = getDataTableRows ($arrCurrentAircraft, 'common-divergence');
  if (strlen ($s) > 2)
  {
    echo '        <hr />' . CR;
    echo '        <h2>Divergences</h2>' . CR;
    echo '        <table>' . $s;
    echo '        </table>' . CR;
  }
?>
      </div>

      <div class="tabContent">
        <!-- Departure -->
        <table class="r4"><?php echo getDataTableRows ($arrCurrentAircraft, 'departure'); ?>
        </table>
<?php
  $s = getDataTableRows ($arrCurrentAircraft, 'departure-short-field');
  if (strlen ($s) > 2)
  {
?>        <hr />
        <h2>Short Field</h2>
        <table class="r4"><?php echo $s ; ?>
        </table>
        <p>1.000 ft MSL, 20 °C, Flaps, 50 % fuel &amp; load &lt; <strong><?php echo checkArrayKey ('common-50-percent-fuel-and-load', $arrCurrentAircraft); ?></strong></p>
<?php
  }
?>
      </div>

      <div class="tabContent">
        <!-- Cruise -->
        <table class="r4"><?php echo getDataTableRows ($arrCurrentAircraft, 'cruise'); ?>
        </table>
      </div>

      <div class="tabContent">
        <!-- Approach -->
        <table class="r4"><?php echo getDataTableRows ($arrCurrentAircraft, 'approach'); ?>
        </table>
      </div>

      <div class="tabContent">
        <!-- Calculate -->
        <form id="calculation_form" name="calculation_form" action="javascript:void(0);">
          <table>
            <tr>
              <td><input type="radio" id="distance" name="calculation_group" value="distance-in-nm" onChange="onChangeCalculationItem (this);"></td>
              <td><label for="distance-in-nm"><?php echo $arrCalculation['calculation-caption-distance-in-nm']; ?></label></td>
              <td><input type="number" min="0" step="1" id="distance-in-nm" name="distance-in-nm" onChange="onChangeItem (this);" value="<?php echo $arrCurrentAircraft['calculation-default-distance']; ?>"></td>
            </tr>
            <tr>
              <td><input type="radio" id="height-difference" name="calculation_group" value="height-difference-in-ft" onChange="onChangeCalculationItem (this);"></td>
              <td><label for="height-difference-in-ft"><?php echo $arrCalculation['calculation-caption-height-difference-in-ft']; ?></label></td>
              <td><input type="number" min="0" step="100" id="height-difference-in-ft" name="height-difference-in-ft" onChange="onChangeItem (this);" value="<?php echo $arrCurrentAircraft['calculation-default-height']; ?>"></td>
            </tr>
            <tr>
              <td><input type="radio" id="speed" name="calculation_group" value="speed-in-kts" onChange="onChangeCalculationItem (this);"></td>
              <td><label for="speed-in-kts"><?php echo $arrCalculation['calculation-caption-speed-in-kts']; ?></label></td>
              <td><input type="number" min="0" step="5" id="speed-in-kts" name="speed-in-kts" onChange="onChangeItem (this);" value="<?php echo $arrCurrentAircraft['calculation-default-velocity']; ?>"></td>
            </tr>
            <tr>
              <td><input type="radio" id="rate" name="calculation_group" value="rate-in-ft-per-min" onChange="onChangeCalculationItem (this);"></td>
              <td><label for="rate-in-ft-per-min"><?php echo $arrCalculation['calculation-caption-rate-in-ft-per-min']; ?></label></td>
              <td><input type="number" min="0" step="50" id="rate-in-ft-per-min" name="rate-in-ft-per-min" onChange="onChangeItem (this);" value="<?php echo $arrCurrentAircraft['calculation-default-rate']; ?>"></td>
            </tr>
            <tr>
              <td>&nbsp;</td>
              <td><label for="rate-in-degrees"><?php echo $arrCalculation['calculation-caption-rate-in-degrees']; ?></label></td>
              <td><input class="disabled" type="text" id="rate-in-degrees" name="rate-in-degrees" disabled></td>
            </tr>
            <tr>
              <td>&nbsp;</td>
              <td><label for="time-in-hmm"><?php echo $arrCalculation['calculation-caption-time-in-hmm']; ?></label></td>
              <td><input class="disabled" type="text" id="time-in-hmm" name="time-in-hmm" disabled></td>
            </tr>
          </table>
        </form>
        <hr />
        <ul class="info">
          <li>Zu berechnendes Feld waehlen und die anderen editieren.</li>
          <li>Vereinfachte Berechnung mit gleichbleibenden Steig/Sinkraten und Geschwindigkeit.</li>
          <li>Nachkommastellen im MSFS wie im Englischen mit "."</li>
          <li>Werte vorspulen am rechten Rand der Eingabefelder.</li>
          <li>600 ft/min bei Kabinen ohne Druckausgleich.</li>
        </ul>
      </div>

      <div class="tabContent">
        <!-- ? -->
        <table id="calculation_units">
          <tr>
            <td><?php echo 'MSFS 2020:'; ?></td>
            <td colspan="2"><?php echo $sAircraftName . ($sAircraftFullName != '' ? ' <span>(' . $sAircraftFullName . ')</span>' : ''); ?></td>
          </tr>
          <tr>
            <td colspan="3"><hr /></td>
          </tr>
          <tr>
            <td>convert:&nbsp;<input type="number" min="0" step="100" id="input_left" name="input_left" onChange="onChangeUnits (this);" value="0">&nbsp;<label for="input_left" id="label_input_left">m</label><br /></td>
            <td>
              <select id="units" name="units" size="6" onChange="onChangeUnits (this);">
                <option value="m_ft" selected>meter &lt;=&gt; feet</option>
                <option value="m/s_kts">m/s &lt;=&gt; kts</option>
                <option value="kmh_kts">km/h &lt;=&gt; kts</option>
                <option value="kmh_mph">km/h &lt;=&gt; mph</option>
                <option value="mph_kts">mph &lt;=&gt; kts</option>
                <option value="km_nm">km &lt;=&gt; nm</option>
              </select>
            </td>
            <td><input type="number" min="0" step="500" id="input_right" name="input_right" onChange="onChangeUnits (this);" value="0">&nbsp;<label for="input_right" id="label_input_right">ft</label></td>
          </tr>
          <tr>
            <td colspan="3"><hr /></td>
          </tr>
            <td><label for="show_aircraft_infos">show aircraft infos for:</label></td>
            <td colspan="2">
              <select id="show_aircraft_infos" name="show_aircraft_infos" size="5" onChange="onChangeShowAircraftInfos (this);">
<?php echo getOtherAircraftInfos ($arrInfoIni, $sAircraftName); ?>
              </select>
            </td>
          </tr>
          <tr>
            <td colspan="3"><hr /></td>
          </tr>
          <tr>
            <td><label for="properties">show aircraft properties:</label></td>
            <td>
              <select id="properties" name="properties" size="6" onChange="onChangeProperties (this);">
                <option value="default" selected></option>
                <option value="rw_departure">runway length departure</option>
                <option value="rw_approach">runway length approach</option>
                <option value="cruise_speed">Vc cruise speed</option>
                <option value="service_ceiling">service ceiling</option>
                <option value="range">range</option>
              </select>
            </td>
          </tr>
        </table>
        <div id="property_table"></div>
      </div>

    </div>

  </div>

</body>

</html>
